The portfolio tool can list files in, extract files from, and add files to PDF portfolios.

    mutool portfolio [options] portfolio.pdf [actions]

Options are:

-p password
  password
-o filename
  output (defaults to input file)
-O options
  PDF output options (see mutool create)

Actions are:

t
  Display a table listing the contents of the portfolio.
x N file
  Extract Nth entry to file.
a file name
  Add contents of file as an entry named name.

For safety, only use ASCII characters in entry names for now.